package com.tcctyn.iot;

import com.tcctyn.common.security.annotation.EnableCustomConfig;
import com.tcctyn.common.security.annotation.EnableRyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;

@EnableCustomConfig
@EnableRyFeignClients
@SpringBootApplication
@ComponentScan(basePackages = {"com.tcctyn.iot.**", "com.tcctyn.common.**"})
public class TcctynIotApplication {

    public static void main(String[] args)
    {
        SpringApplication.run(TcctynIotApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  物联网模块启动成功   ლ(´ڡ`ლ)ﾞ");
    }
}