package com.tcctyn.iot.forestfire.BO;

import lombok.Data;

import java.io.Serializable;

/**
 * 火情预警信息误判后消息推送
 */

@Data
public class FireWarningMisjudgeBO implements Serializable {

    private static final long serialVersionUID = -1954870764499170410L;

    /**
     * 火情预警id
     */
    private Long id;

    /**
     * 火情预警处理状态
     */
    private String disposalStatus;

    /**
     * 误判标识
     */
    private Integer misjudgeFlag;

    /**
     * 处理消息
     */
    private String disposalMsg;
}
