package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 摄像头设备VO
 */
@Data
public class CameraVO implements Serializable {

    private static final long serialVersionUID = 4975876865936973836L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备编号
     */
    private String deviceNo;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 设备厂商
     */
    private String deviceManufacturer;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 设备在线/离线状态
     */
    private String deviceStatus;

    /**
     * 归属区域id
     */
    private Long regionId;

    /**
     * 归属区域名称
     */
    private String regionName;
}
