package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 打卡记录VO
 */
@Data
public class CheckInRecordVO implements Serializable {

    private static final long serialVersionUID = 8171630821682560531L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 排班id
     */
    private Long scheduleId;

    /**
     * 点位id
     */
    private Long pointId;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

    /**
     * 巡护路径id
     */
    private Long pathId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 打卡时间
     */
    private Date checkInTime;

    /**
     * 打卡地点
     */
    private String location;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 高度
     */
    private String height;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 打卡拍照
     */
    private String checkPicture;

    /**
     * 护林员姓名
     */
    private String userName;
}
