package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.util.Date;

/**
 * 设备通道返回给前端的VO
 */
@Data
public class DeviceChanelsVO {

    //private static final long serialVersionUID = L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 设备编号
     */
    private String deviceNo;

    /**
     * 通道号
     */
    private String chanelNo;

    /**
     * 名称
     */
    private String name;

    /**
     * 流地址
     */
    private String streamUrl;

    /**
     * 创建人员姓名
     */
    private String createdBy;

    /**
     * 创建时间，默认用服务器时间
     */
    private Date createdTime;

    /**
     * 修改人员姓名
     */
    private String updatedBy;

    /**
     * 修改时间，默认用服务器时间
     */
    private Date updatedTime;
}
