package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 统计云台、卡口下的设备数量
 */
@Data
public class DeviceStatisticsByPointVO implements Serializable {

    private static final long serialVersionUID = -6173268737974058330L;

    /**
     * 设备总数
     */
    private Integer totalNum;

    /**
     * 云台设备数量
     */
    private Integer ptzNum;

    /**
     * 卡口设备数量
     */
    private Integer bayonetNum;

    /**
     * 总的在线设备
     */
    private Integer onlineNum;

    /**
     * 总的设备在线率
     */
    private String onlineRate;
}
