package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 大屏设备信息统计VO
 */
@Data
public class DeviceStatisticsVO implements Serializable {

    private static final long serialVersionUID = -4514149323953101569L;

    /**
     * 设备总数量
     */
    private Integer total;

    /**
     * 总的在线率
     */
    private String overallOnlineRate;

    /**
     * 子对象列表
     */
    private List<DeviceStatisticsSubVO> subList;
}
