package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class KeyAreaInfoVO implements Serializable {

    private static final long serialVersionUID = -5540262582633590948L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 归属区域id
     */
    private Long regionId;

    /**
     * 开始时间,以天为单位
     */
    private Date startTime;

    /**
     * 结束时间，以天为单位
     */
    private Date endTime;

    /**
     * 重点区域类型，数据字典
     */
    private String keyAreaType;

    /**
     * 区域坐标信息
     */
    private String coordinateInfo;

    /**
     * 区域说明
     */
    private String regionDescription;

    /**
     * 区域图片
     */
    private String picture;

    /**
     * 记录创建时间，默认用服务器时间
     */
    private Date createdTime;

    //以下是给前端显示用的字段

    /**
     * 归属区域名称
     */
    private String regionName;
}
