package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 资源点分类统计VO
 * 水源地、云台、卡口
 */
@Data
public class PointStatisticsByPointTypeVO implements Serializable {

    private static final long serialVersionUID = -5379278903366385082L;

    /**
     * 资源点总数
     */
    private Integer totalNum;

    /**
     * 水源地数量
     */
    private Integer waterSourceNum;

    /**
     * 云台数量
     */
    private Integer ptzNum;

    /**
     * 卡口
     */
    private Integer bayonetNum;
}
