package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.util.List;

@Data
public class RoadVO {
    private static final long serialVersionUID = 7787371089658488280L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 道路编号
     */
    private String roadNo;

    /**
     * 道路名称
     */
    private String roadName;

    /**
     * 道路类型
     */
    private String roadType;

    /**
     * 长度
     */
    private String length;

    /**
     * 宽度
     */
    private String width;

    /**
     * 归属地区id
     */
    private Long belongingRegionId;

    /**
     * 归属地区名称
     */
    private String belongingRegionName;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 道路特征信息
     */
    private List<RoadInfoVO> roadInfoList;

}
