package com.tcctyn.iot.forestfire.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * APP端按月查询排班统计信息
 */
@Data
public class SchedulesMonthVO implements Serializable {

    private static final long serialVersionUID = 916206382963862542L;

    /**
     * 排班id
     */
    private Long scheduleId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date dateOfWeek;

    /**
     * 有效打卡次数
     */
    private Integer checkTimes;

    /**
     * 应打卡次数
     */
    private Integer totalTimes;

    /**
     * 巡护进度（打卡率）
     */
    private String patrolRate;


}
