package com.tcctyn.iot.forestfire.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tcctyn.iot.forestfire.VO.FireReportStatisticsVO;
import com.tcctyn.iot.forestfire.domain.FireReport;


/**
 * <p>
 * 火情上报表 Mapper 接口
 * </p>
 *
 * @author 代超
 * @since 2024-11-01
 */
public interface FireReportMapper extends BaseMapper<FireReport> {

    /**
     * 历史火情统计
     * @return
     */
    FireReportStatisticsVO fireReportStatistics();
}
