package com.tcctyn.iot.forestfire.searcher;

import lombok.Data;

import java.io.Serializable;

/**
 * 林区、林场、电子围栏 查询条件基类
 */
@Data
public class BaseRegionSearcher implements Serializable {

    private static final long serialVersionUID = 3372073567315537561L;
    /**
     * 归属区域id
     */
    private Long belongingRegionId;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;
}
