package com.tcctyn.iot.forestfire.searcher.approvalrecord;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class ApprovalRecordRejectRequest implements Serializable {

    private static final long serialVersionUID = -2343165064038208726L;

    /**
     * 审批记录id
     */
    @NotNull(message = "请选择审批记录")
    private Long id;

    /**
     * 驳回说明
     */
    @NotBlank(message = "请填写驳回说明")
    private String rejectionStatement;

}
