package com.tcctyn.iot.forestfire.searcher.firewarning;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 火情预警研判请求参数
 */
@Data
public class FireWarningAnalyzeSearcher implements Serializable {

    private static final long serialVersionUID = -8161270838284189389L;

    /** 火情预警id */
    @NotNull(message = "请选择要研判的火情预警")
    private Long id;

    /**
     * 研判结果说明
     */
    @NotBlank(message = "请输入研判结果说明")
    private String analyzeInstruction;
}
