package com.tcctyn.iot.forestfire.searcher.noticeinfo;

import lombok.Data;

import java.io.Serializable;

/**
 * 通知公告启用/停用请求参数
 */
@Data
public class NoticeEnableFlagRequest implements Serializable {

    private static final long serialVersionUID = 5244375072095276711L;

    /**
     * 对象id
     */
    private Long id;

    /**
     * 启用/停用标识，0-停用，1-启用
     */
    private Integer enableFlag;

}
