package com.tcctyn.iot.forestfire.searcher.schedules;

import com.tcctyn.iot.forestfire.searcher.BaseTimeSearcher;
import lombok.Data;

import java.io.Serializable;

/**
 * 用户排班查询请求体
 * 目前服务于大屏页面查询护林员信息的接口
 */
@Data
public class SchedulesSearcher extends BaseTimeSearcher implements Serializable {

    private static final long serialVersionUID = 6585373568023610091L;

    /**
     * 林区id
     */
    private Long forestId;

    /**
     * 林场id
     */
    private Long farmId;

    /**
     * 电子围栏id
     */
    private Long fenceId;

}
