package com.tcctyn.iot.forestfire.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tcctyn.iot.forestfire.searcher.hk.HkStoreListSearcher;
import com.tcctyn.iot.forestfire.VO.HkStoreCapturePicturesVO;
import com.tcctyn.iot.forestfire.domain.HkStoreCapturePictures;
import com.tcctyn.iot.forestfire.mapper.HkStoreCapturePicturesMapper;
import com.tcctyn.iot.forestfire.service.IHkStoreCapturePicturesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author 13768238378
 * @description 针对表【hk_store_capture_pictures(海康_硬件抓拍图片元数据表)】的数据库操作Service实现
 * @createDate 2025-04-10 11:17:50
 */
@Service
public class HkStoreCapturePicturesServiceImpl extends ServiceImpl<HkStoreCapturePicturesMapper, HkStoreCapturePictures>
        implements IHkStoreCapturePicturesService {
    @Autowired
    private HkStoreCapturePicturesMapper hkStoreCapturePicturesMapper;

    @Override
    public List<HkStoreCapturePicturesVO> getListHkStoreCapturePicturesList(HkStoreListSearcher hkStoreListSearcher) {
        return hkStoreCapturePicturesMapper.getListHkStoreCapturePicturesList(hkStoreListSearcher);
    }
}




