package com.tcctyn.system;

import com.tcctyn.common.security.annotation.EnableCustomConfig;
import com.tcctyn.common.security.annotation.EnableRyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * 系统模块
 * 
 * @author tcctyn
 */
@EnableCustomConfig
@EnableRyFeignClients
@SpringBootApplication
public class TcctynSystemApplication
{
    public static void main(String[] args)
    {
        SpringApplication.run(TcctynSystemApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  系统模块启动成功   ლ(´ڡ`ლ)ﾞ");
    }
}
