package com.tcctyn.gateway;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 网关启动程序
 * 
 * @author tcctyn
 */
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class })
public class TcctynGatewayApplication
{
    public static void main(String[] args)
    {
        SpringApplication.run(TcctynGatewayApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  天启数云网关启动成功   ლ(´ڡ`ლ)ﾞ");
    }
}
