package com.tcctyn.gen;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import com.tcctyn.common.security.annotation.EnableCustomConfig;
import com.tcctyn.common.security.annotation.EnableRyFeignClients;

/**
 * 代码生成
 * 
 * @author tcctyn
 */
@EnableCustomConfig
@EnableRyFeignClients
@SpringBootApplication
public class TcctynGenApplication
{
    public static void main(String[] args)
    {
        SpringApplication.run(TcctynGenApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  代码生成模块启动成功   ლ(´ڡ`ლ)ﾞ");
    }
}
