package com.tcctyn.iot.forestfire.BO;

import lombok.Data;

import java.io.Serializable;

/**
 * 卫星热点数据模拟，地图取点范围BO
 */
@Data
public class ScopeSimulationBO implements Serializable {

    private static final long serialVersionUID = -4916623718291474020L;

    public ScopeSimulationBO() {}

    public ScopeSimulationBO(double minLongitude, double maxLongitude, double minLatitude, double maxLatitude) {
        this.minLongitude = minLongitude;
        this.maxLongitude = maxLongitude;
        this.minLatitude = minLatitude;
        this.maxLatitude = maxLatitude;
    }

    /** 最小经度 */
    private double minLongitude;

    /** 最大经度 */
    private double maxLongitude;

    /** 最小纬度 */
    private double minLatitude;

    /** 最大纬度 */
    private double maxLatitude;

}
