package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * APP 端聚合统计接口返回值
 */
@Data
public class AggregationStatisticsVO implements Serializable {

    private static final long serialVersionUID = -7851077263822626129L;

    /**
     * 未处理的火情预警数
     */
    private Long unhandledFireWarningNum = 0L;

    /**
     * 未处理的火情上报数
     */
    private Long unhandledFireReportNum = 0L;

    /**
     * 我未接受的任务数
     */
    private Long unacceptedTaskNum = 0L;

    /**
     * 未审批的记录数
     */
    private Long unapprovedNum = 0L;

    /**
     * 林区下未接受的任务数
     */
    private Long unacceptedTaskNumByRegion = 0L;
}
