package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 设备列表上方的统计信息
 */
@Data
public class DeviceStatisticsByStatusVO implements Serializable {

    private static final long serialVersionUID = 8173577365152550543L;

    /**
     * 设备总数量
     */
    private Integer totalNum;

    /**
     * 在线设备数量
     */
    private Integer onlineNum;

    /**
     * 离线设备数量
     */
    private Integer offlineNum;

    /**
     * 未启用的设备数量
     */
    private Integer disableNum;
}
