package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.io.Serializable;

/**
 * 资源点下的设备统计信息
 */
@Data
public class DeviceUnderPointVO implements Serializable {

    private static final long serialVersionUID = -3210088644519804874L;

    /**
     * 设备总数
     */
    private Integer totalNum = 0;

    /**
     * 在线设备数
     */
    private Integer onlineNum = 0;

    /**
     * 离线设备数
     */
    private Integer offlineNum = 0;
}
