package com.tcctyn.iot.forestfire.VO;

import lombok.Data;

import java.util.Date;

/**
 * 排班计划视图
 */
@Data
public class SchedulePlanVO {

    private Long planId;

    private Long belongingRegionId;

    /**
     * 林区ID
     */
    private Long forestId;

    /**
     * 林场ID
     */
    private Long farmId;

    /**
     * 电子围栏ID
     */
    private Long fenceId;

    /**
     * 区域名称
     */
    private String regionName;

    /**
     * 计划名称
     */
    private String planName;

    /**
     * 生效时期
     */
    private String period;

    /**
     * 开始日期
     */
    private Date startDate;

    /**
     * 结束日期
     */
    private Date endDate;

    /**
     * 描述信息
     */
    private String description;

    /**
     * 生成标志
     */
    private Integer genFlag;

    /**
     * 状态
     */
    private Integer status;
}
