package com.tcctyn.iot.forestfire.searcher;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 通用时间查询条件基类
 */
@Data
public class BaseTimeSearcher implements Serializable {

    private static final long serialVersionUID = 8499749356132673578L;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
}
