package com.tcctyn.iot.forestfire.searcher.firewarning;

import com.tcctyn.iot.forestfire.searcher.BaseTimeSearcher;
import lombok.Data;

import java.io.Serializable;

/**
 * 做成通用的查询条件类，查询满足条件的所有火情信息
 */
@Data
public class FireWarningConditionSearcher extends BaseTimeSearcher implements Serializable {

    private static final long serialVersionUID = -5986077051405242147L;

    /** 处置状态 */
    private String disposalStatus;

    /** 火情等级 */
    private String fireLevel;

    /** 林区id */
    private Long forestId;

    /** 林场id */
    private Long farmId;

    /** 电子围栏id */
    private Long fenceId;
}
