package com.tcctyn.iot.forestfire.searcher.material;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 物资出入库请求参数
 */
@Data
public class MaterialAllocateSearcher {

    // 物资ID
    @NotNull(message = "物资不能为空")
    private Long materialId;

    // 仓库ID
    private Long warehouseId;

    // 数量
    private BigDecimal quantity;

    // 操作用户ID
    private Long userId;

    // 说明
    private String description;

    // 目标仓库ID
    private Long targetWarehouseId;

}
