package com.tcctyn.iot.forestfire.searcher.temporarytask;

import lombok.Data;

import java.io.Serializable;

/**
 * 临时任务状态接受与完成状态修改请求参数
 */
@Data
public class TemporaryTaskStatusSearcher implements Serializable {

    /**
     * 任务id
     */
    private Long id;

    /**
     * 任务状态 ： 未接受、执行中、已完成
     */
    private String taskStatus;
}
