package com.tcctyn.iot.forestfire.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tcctyn.iot.forestfire.domain.VoiceTemplateConfig;


/**
 * <p>
 * 语音播报模板表 服务类
 * </p>
 *
 * @author daichao
 * @since 2024-12-17
 */
public interface IVoiceTemplateConfigService {
        
        /**
        * <p>
        * 分页列表查询
        * </p>
        * @param pageNo
        * @param pageSize
        * @return
        */
        Page<VoiceTemplateConfig> list(Integer pageNo, Integer pageSize);
        
        /**
        * <p>
        * 详情接口
        * </p>
        * @param id
        * @return
        */
        VoiceTemplateConfig getById(Long id);

        /**
        * <p>
        * 新增接口
        * </p>
        * @param voiceTemplateConfig
        * @return
        */
        Integer create(VoiceTemplateConfig voiceTemplateConfig);
        
        
        /**
        * <p>
        * 删除接口
        * </p>
        * @param id
        * @return
        */
        Integer delete(Long id);
        
        /**
        * <p>
        * 更新接口
        * </p>
        * @param voiceTemplateConfig
        * @return
        */
        Integer update(VoiceTemplateConfig voiceTemplateConfig);
}
